<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.14" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="_r_e_a_d_m_e_8doxygen_8md" kind="file" language="Markdown">
    <compoundname>README.doxygen.md</compoundname>
    <briefdescription>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <programlisting>
<codeline><highlight class="normal">#<sp />Serial<sp />Flash</highlight></codeline>
<codeline />
<codeline><highlight class="normal">###<sp />Overview</highlight></codeline>
<codeline />
<codeline><highlight class="normal">Provides<sp />functions<sp />for<sp />interacting<sp />with<sp />an<sp />external<sp />flash<sp />connected<sp />through<sp />its<sp />Single<sp />SPI/Dual<sp />SPI/Quad<sp />SPI/Octal<sp />SPI<sp />interface.<sp />The<sp />flash<sp />operations<sp />read,<sp />write,<sp />and<sp />erase<sp />are<sp />implemented<sp />as<sp />blocking<sp />functions.<sp />This<sp />library<sp />accepts<sp />the<sp />configuration<sp />generated<sp />using<sp />the<sp />QSPI<sp />Configurator<sp />tool<sp />but<sp />supports<sp />only<sp />one<sp />memory<sp />slot.<sp />Note<sp />that<sp />PSoC<sp />6<sp />supports<sp />up<sp />to<sp />4<sp />memory<sp />slots<sp />on<sp />the<sp />same<sp />QSPI<sp />block.</highlight></codeline>
<codeline />
<codeline><highlight class="normal">###<sp />Features</highlight></codeline>
<codeline />
<codeline><highlight class="normal">*<sp />Accepts<sp />the<sp />configuration<sp />generated<sp />by<sp />the<sp />QSPI<sp />Configurator<sp />tool</highlight></codeline>
<codeline><highlight class="normal">*<sp />Supports<sp />Execute-in-Place<sp />(XIP)<sp />mode<sp />of<sp />operation</highlight></codeline>
<codeline><highlight class="normal">*<sp />Provides<sp />information<sp />about<sp />the<sp />external<sp />memory<sp />to<sp />the<sp />programming<sp />tool<sp />for<sp />it<sp />to<sp />be<sp />able<sp />to<sp />program<sp />the<sp />memory,<sp />for<sp />example,<sp />when<sp />user<sp />wants<sp />to<sp />place<sp />the<sp />code<sp />into<sp />the<sp />external<sp />memory<sp />for<sp />XIP<sp />operation.</highlight></codeline>
<codeline><highlight class="normal">*<sp />Allows<sp />for<sp />programming<sp />external<sp />memory<sp />if<sp />CY_ENABLE_XIP_PROGRAM<sp />is<sp />defined<sp />when<sp />building<sp />the<sp />application</highlight></codeline>
<codeline />
<codeline><highlight class="normal">###<sp />Quick<sp />Start</highlight></codeline>
<codeline><highlight class="normal">1.<sp />Add<sp />\#include<sp />"cy_serial_flash_qspi.h"</highlight></codeline>
<codeline><highlight class="normal">2.<sp />See<sp />the<sp />[PSoC<sp />6<sp />MCU:<sp />QSPI<sp />Flash<sp />Read<sp />and<sp />Write](https://github.com/cypresssemiconductorco/mtb-example-psoc6-qspi-readwrite)<sp />code<sp />example<sp />to<sp />learn<sp />using<sp />this<sp />library</highlight></codeline>
<codeline />
<codeline><highlight class="normal">**NOTE:**</highlight></codeline>
<codeline><highlight class="normal">If<sp />you<sp />delete<sp />the<sp />contents<sp />of<sp />the<sp />GeneratedSource<sp />directory<sp />inside<sp />the<sp />BSP,<sp />you<sp />must<sp />re-generate<sp />the<sp />memory<sp />configuration<sp />files<sp />*cycfg_qspi_memslot.c/.h*.<sp />To<sp />do<sp />this<sp />from<sp />inside<sp />the<sp />ModusToolbox<sp />IDE,<sp />open<sp />the<sp />QSPI<sp />Configurator<sp />tool<sp />from<sp />the<sp />Quick<sp />Panel<sp />and<sp />press<sp />**Ctrl+S**<sp />or<sp />click<sp />**File<sp />&gt;<sp />Save**.<sp />If<sp />you<sp />open<sp />the<sp />tool<sp />outside<sp />the<sp />IDE,<sp />you<sp />need<sp />to<sp />first<sp />open<sp />the<sp />*design.cyqspi*<sp />file<sp />in<sp />the<sp />tool.<sp />To<sp />do<sp />this,<sp />click<sp />**File<sp />&gt;<sp />Import**<sp />and<sp />then<sp />locate<sp />the<sp />file<sp />inside<sp />the<sp />BSP<sp />under<sp />*COMPONENT_BSP_DESIGN_MODUS*<sp />directory.</highlight></codeline>
<codeline />
<codeline><highlight class="normal">###<sp />More<sp />information</highlight></codeline>
<codeline />
<codeline><highlight class="normal">*<sp />[API<sp />Reference<sp />Guide](https://cypresssemiconductorco.github.io/serial-flash/html/index.html)</highlight></codeline>
<codeline><highlight class="normal">*<sp />[Cypress<sp />Semiconductor,<sp />an<sp />Infineon<sp />Technologies<sp />Company](http://www.cypress.com)</highlight></codeline>
<codeline><highlight class="normal">*<sp />[Cypress<sp />Semiconductor<sp />GitHub](https://github.com/cypresssemiconductorco)</highlight></codeline>
<codeline><highlight class="normal">*<sp />[ModusToolbox](https://www.cypress.com/products/modustoolbox-software-environment)</highlight></codeline>
<codeline><highlight class="normal">*<sp />[PSoC<sp />6<sp />Code<sp />Examples<sp />using<sp />ModusToolbox<sp />IDE](https://github.com/cypresssemiconductorco/Code-Examples-for-ModusToolbox-Software)</highlight></codeline>
<codeline><highlight class="normal">*<sp />[PSoC<sp />6<sp />Middleware](https://github.com/cypresssemiconductorco/psoc6-middleware)</highlight></codeline>
<codeline><highlight class="normal">*<sp />[PSoC<sp />6<sp />Resources<sp />-<sp />KBA223067](https://community.cypress.com/docs/DOC-14644)</highlight></codeline>
<codeline />
<codeline><highlight class="normal">---</highlight></codeline>
<codeline><highlight class="normal">©<sp />Cypress<sp />Semiconductor<sp />Corporation,<sp />2019-2020.</highlight></codeline>
    </programlisting>
    <location file="bsp/libs/serial-flash/README.doxygen.md" />
  </compounddef>
</doxygen>